$(function() {

    var $grid = $('.js-isotope');

    $('.isotope-filter').on('click', '[data-filter]', function () {

        var filterValue = $(this).attr('data-filter')  ;

        $('.isotope-filter [data-filter]').removeClass('active').removeClass('cbp-filter-item-active');
        $(this).addClass('active').addClass('cbp-filter-item-active');

        var limit = $grid.data('isotope').options.limit;
        if (typeof limit == 'undefined'){
            limit = 0;
        }

        $grid.isotope({
            filter: function() {
                if (limit) {
                    if (filterValue == '*') {
                        return $(this).index() < limit;
                    } else {
                        return $(this).is(filterValue) && $(this).index(filterValue) < limit;
                    }
                } else {
                    return $(this).is(filterValue);
                }
            }
        });

    });

    // set active filter by default:
    $(window).load(function () {

        var $firstFilter = $('.isotope-filter [data-filter].active ,.isotope-filter [data-filter].cbp-filter-item-active');

        if ($firstFilter.length) {
            $firstFilter.trigger('click');
        };

    })

});